﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Web.Models
{
    public class AmericanQuestion
    {
        public int Id { get; set; }
        public string Question { get; set; }
        public string Answer { get; set; }
        [Required]
        public List<Option> Options { get; set; }
        public bool IsCorect { get; set; }
    }

    /*This model is larger and represents a Person*/

    public class Option
    {
        [UIHint("Hidden")]
        public int Id { get; set; }
        public string Description { get; set; }
        public bool IsSelected { get; set; }
    }
}